/* This file is the header file for kernel modules that want to interface to
 * the Linux kernel through NI-KAL
   
    Copyright 2004-2005,
   National Instruments Corporation.
   All rights reserved.
   
   originated:  3aug2004
*/


#ifndef ___kalInterface_h___
#define ___kalInterface_h___

#ifndef ___nikal_h___
   #include "nikal.h"
#endif

#ifdef ___kalInterface_c___
#define nNISS100_kExportPre
#define nNISS100_kExportPost
#endif

#ifndef nNIKAL100_namespaceMacro
   #error ("nNIKAL100_namespaceMacro must be defined to compile kalInterface");
#endif

#ifdef __cplusplus
extern "C" {
#endif

nNIKAL100_cc nNISS100_kExportPre int nNIKAL100_mInsertNamespace(nNIKAL100_namespaceMacro,_driverEntry)(struct nNIKAL100_tDriver *driver) nNISS100_kExportPost;

#ifdef __cplusplus
}
#endif

#endif
